
#ifndef CLUSTERING_H
#define CLUSTERING_H

class Clustering { 

public:
	int nrows;
	int ncols;
	float **data;
	int *clusternum;
	int numclusters;

	float lastndist;
	int n;
	int deficit;

	Clustering();

	void Allocate(int r, int c);
	void DeAllocate();
	float FindDist(float *a, float *b);
	void Cluster();
	void FindCentroid(int cnum, float *cptr);

};

#endif

